Bug 845039 - [abrt] gnome-shell-3.4.1-5.fc17: g_variant_type_info_check: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: g_variant_type_info_check: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:cabd59febfdd35cb679b64d3c22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 11:00 EDT by Timothy Davis
Modified: 2013-08-01 02:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.85 KB, text/plain)
2012-08-01 11:00 EDT, Timothy Davis
no flags Details
File: maps (102.76 KB, text/plain)
2012-08-01 11:00 EDT, Timothy Davis
no flags Details
File: dso_list (23.23 KB, text/plain)
2012-08-01 11:00 EDT, Timothy Davis
no flags Details
File: var_log_messages (8.98 KB, text/plain)
2012-08-01 11:00 EDT, Timothy Davis
no flags Details

  None (edit)
Description Timothy Davis 2012-08-01 11:00:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_variant_type_info_check
executable:     /usr/bin/gnome-shell
kernel:         3.4.6-2.fc17.x86_64
pid:            1372
pwd:            /home/tim
remote_result:  NOTFOUND
time:           Wed 01 Aug 2012 10:46:30 AM EDT
uid:            1000
username:       tim

backtrace:      Text file, 41831 bytes
dso_list:       Text file, 23783 bytes
maps:           Text file, 105231 bytes
var_log_messages: Text file, 9198 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/tim/2

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x80e50 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x80fab g_variant_type_info_get_type_string libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x75299 g_variant_is_of_type libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x77b0c g_variant_lookup_value libglib-2.0.so.0 -
:2a54d35c89467b32c50c5e36f7d7c6381f1bdf92 0xc628 - libgnome-bluetooth.so.10 -
:2a54d35c89467b32c50c5e36f7d7c6381f1bdf92 0xcafc - libgnome-bluetooth.so.10 -
:2a54d35c89467b32c50c5e36f7d7c6381f1bdf92 0xce2f - libgnome-bluetooth.so.10 -
:2a54d35c89467b32c50c5e36f7d7c6381f1bdf92 0xdb20 - libgnome-bluetooth.so.10 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xffdb g_cclosure_marshal_generic libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xc5b34 - libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xb5805 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=squidward.shaggvill.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/tim/keyring-5fKtla
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=tim
:USERNAME=tim
:MAIL=/var/spool/mail/tim
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/tim/Projects/android-sdk-linux/tools:/home/tim/Projects/android-sdk-linux/platform-tools:/home/tim/.local/bin:/home/tim/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/tim
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1130
:LANG=en_US.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/tim
:SHLVL=1
:LOGNAME=tim
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nV1QvzVi9b,guid=6542fc8e1079cbbeb2e63b240000003a
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tim
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-tim-7KKw0P/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1136,unix/unix:/tmp/.ICE-unix/1136
:GPG_AGENT_INFO=/run/user/tim/keyring-5fKtla/gpg:0:1
:SSH_AUTH_SOCK=/run/user/tim/keyring-5fKtla/ssh
:DESKTOP_AUTOSTART_ID=1084fdf54eed955fe1134382675356188100000011360000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15600                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15600                15600                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/tim/.xsession-errors
:pos:	18006
:flags:	0102002
:2:/home/tim/.xsession-errors
:pos:	18006
:flags:	0102002
:3:pipe:[20263]
:pos:	0
:flags:	04000
:4:pipe:[20263]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[20264]
:pos:	0
:flags:	02004002
:7:socket:[20265]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[20889]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[20890]
:pos:	0
:flags:	02004002
:14:pipe:[20892]
:pos:	0
:flags:	02004000
:15:pipe:[20892]
:pos:	0
:flags:	02004001
:16:socket:[20896]
:pos:	0
:flags:	02004002
:17:socket:[20282]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[21840]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:/tmp/ffifo8dkD (deleted)
:pos:	0
:flags:	0100002
:22:socket:[21287]
:pos:	0
:flags:	02004002
:23:socket:[21875]
:pos:	0
:flags:	02004002
:24:socket:[21972]
:pos:	0
:flags:	02004002
:25:/dev/rfkill
:pos:	0
:flags:	0104002
:26:socket:[21298]
:pos:	0
:flags:	02004002
:27:socket:[21307]
:pos:	0
:flags:	02004002
:28:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:29:pipe:[21879]
:pos:	0
:flags:	01
:30:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:31:pipe:[23028]
:pos:	0
:flags:	02004000
:32:anon_inode:inotify
:pos:	0
:flags:	02004000
:33:socket:[24594]
:pos:	0
:flags:	02004002
:34:pipe:[23028]
:pos:	0
:flags:	02004001
:35:socket:[23032]
:pos:	0
:flags:	02004002
:36:/home/tim/.cache/event-sound-cache.tdb.7564b94c49d6caa1724fd57a0000000e.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:37:socket:[24595]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 00867f71-211c-433f-9983-a1a0e95c9646
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3989.67
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2001
:System Memory: 1971
:System Swap: 3967
:Vendor: Hewlett-Packard
:System:  F.19
:Form factor: Notebook
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4156:12481) pci, None, HOST/PCI, Compaq 6910p
:(32902:10753:4156:12481) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10281:4156:12481) pci, ahci, STORAGE, Compaq 6910p
:(32902:10320:4156:12481) pci, ata_piix, STORAGE, Compaq 6910p
:(32902:10257:4156:12481) pci, None, PCI/ISA, Compaq 6910p
:(32902:4169:4156:12481) pci, e1000e, ETHERNET, Compaq 6910p
:(32902:9288:4156:12481) pci, None, PCI/PCI, Compaq 6910p
:(32902:10289:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10288:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10290:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(32902:10294:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(32902:10298:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(4480:2098:4156:12481) pci, firewire_ohci, FIREWIRE, Compaq 6910p
:(4480:2082:4156:12481) pci, sdhci-pci, BASE, Compaq 6910p
:(32902:10303:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10305:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10756:4156:12481) pci, None, SIMPLE, Compaq 6910p
:(32902:10759:4156:12481) pci, serial, 16550_SERIAL, Compaq 6910p
:(32902:10315:4156:12481) pci, snd_hda_intel, MULTIMEDIA, Compaq 6910p
:(32902:10292:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10311:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10293:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4098:29064:4156:12481) pci, radeon, VIDEO, 6910p
:(32902:10758:4156:12481) pci, ata_generic, STORAGE, Compaq 6910p
:(32902:16937:32902:4096) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 18361771 5998614 5078934 4603904 4064777 4064777
:/dev/sda1 /boot ext4 1024 1024 508644 397386 371786 128016 127663 127663
:/dev/sdb1 WITHHELD vfat 4096 4096 987128 33259 33259 0 0 0
:

xsession_errors:
:([object _private_TelepathyGLib_TextChannel],[object _private_Gio_SimpleAsyncResult])@/usr/share/gnome-shell/js/ui/telepathyClient.js:704
:([object _private_TelepathyGLib_TextChannel],[object _private_Gio_SimpleAsyncResult])@/usr/share/gnome-shell/js/ui/telepathyClient.js:704
:([object _private_TelepathyGLib_TextChannel],[object _private_Gio_SimpleAsyncResult])@/usr/share/gnome-shell/js/ui/telepathyClient.js:704
:([object _private_TelepathyGLib_TextChannel],[object _private_Gio_SimpleAsyncResult])@/usr/share/gnome-shell/js/ui/telepathyClient.js:704
:gnome-session[1136]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Comment 1 Timothy Davis 2012-08-01 11:00:23 EDT
Created attachment 601760 [details]
File: backtrace
Comment 2 Timothy Davis 2012-08-01 11:00:26 EDT
Created attachment 601761 [details]
File: maps
Comment 3 Timothy Davis 2012-08-01 11:00:28 EDT
Created attachment 601762 [details]
File: dso_list
Comment 4 Timothy Davis 2012-08-01 11:00:30 EDT
Created attachment 601763 [details]
File: var_log_messages
Comment 5 Fedora End Of Life 2013-07-03 21:53:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:54:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.